
#import <appkit/appkit.h>

// these are set to avoid conflicting with NeXT's Matrix modes
#define MISC_STATICMODE	100	// trying to unlight the last cell does nothing
#define MISC_TRAVELMODE	101	// unlight last cell and another one lights

@interface ManyOrOneMatrix:Matrix
{
	int manyMode;	// static or travel mode
	BOOL direction;	// YES if moving down the matrix (forward) in travel
	BOOL path;		// YES if L-R then U-D, No if U-D, then L-R on travel
}

- initFrame:(const NXRect *)frameRect;
- initFrame:(const NXRect *)frameRect mode:(int)aMode prototype:aCell
		numRows:(int)rowsHigh numCols:(int)colsWide;
- initFrame:(const NXRect *)frameRect mode:(int)aMode cellClass:factoryId
		numRows:(int)rowsHigh numCols:(int)colsWide;

- free;
- (int)mode;
- setMode:(int)aMode;
- (BOOL)isEmptySelectionEnabled;
- clearSelectedCell;
- selectCellAt:(int)row :(int)col;
- selectAll:sender;
- setState:(int)value at:(int)row :(int)col;
- mouseDown:(NXEvent *)theEvent;
- write:(NXTypedStream *)stream;
- read:(NXTypedStream *)stream;

@end
